## flint-arb 2.8.1

=== debian/changelog ===
flint-arb (2.8.1-3) unstable; urgency=medium

  * Add a patch from Logan Rosen to fix FTBFS with PIE. (Closes: #837454)
  * Push dh compat to 10.
  * Follow Multi-Arch hinter advices.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 28 Oct 2016 13:42:44 +0200

flint-arb (2.8.1-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Team upload.
  * New patch flint_incldues.patch to fix flint includes.

  [ Julien Puydt ]
  * Push standards-version up to 3.9.8

 -- Tobias Hansen <thansen@debian.org>  Mon, 01 Aug 2016 17:57:17 +0100

flint-arb (2.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #797822)
  * Push standards-version up to 3.9.7
  * Fix Vcs-* fields

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 17 Apr 2016 21:48:37 +0200
