=== debian/control ===
Source: flint-arb
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Homepage: https://github.com/fredrik-johansson/arb
Build-Depends: debhelper (>= 10), libflint-dev, libgmp-dev, libmpfr-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/flint-arb.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/flint-arb.git

Package: libflint-arb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for arbitrary-precision ball arithmetic, shared library
 FLINT-ARB is a C library for high-performance arbitrary-precision
 floating-point ball (mid-rad interval) arithmetic. It supports complex
 numbers, polynomials, matrices, and evaluation of special functions, all
 with rigorous error bounding.
 .
 This package contains the shared library.

Package: libflint-arb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libflint-arb1 (= ${binary:Version})
Description: C library for arbitrary-precision ball arithmetic, dev. files
 FLINT-ARB is a C library for high-performance arbitrary-precision
 floating-point ball (mid-rad interval) arithmetic. It supports complex
 numbers, polynomials, matrices, and evaluation of special functions, all
 with rigorous error bounding.
 .
 This package contains the development files.

Package: libflint-arb-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C library for arbitrary-precision ball arithmetic, documentation
 FLINT-ARB is a C library for high-performance arbitrary-precision
 floating-point ball (mid-rad interval) arithmetic. It supports complex
 numbers, polynomials, matrices, and evaluation of special functions, all
 with rigorous error bounding.
 .
 This package contains the documentation.
