=== debian/watch ===
version=3
https://github.com/fredrik-johansson/arb/tags /fredrik-johansson/arb/archive/(\d[-\d.]*)\.tar\.gz
