## flint-arb 2.11.1

=== debian/changelog ===
flint-arb (2.11.1-2build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:19:50 +0000

flint-arb (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Bump flint Build-Depends version to pull in bugfixes there.

 -- Ximin Luo <infinity0@debian.org>  Thu, 09 Nov 2017 11:39:45 +0100

flint-arb (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Mark libflint-arb1 as Multi-Arch: same.
  * Remove the fix flint includes patch (applied upstream).
  * Follow soname bump from 1 to 2.
  * Make the compilation of tests verbose (avoids build logs warnings).
  * Enable all hardening options.
  * Remove unused lintian override.
  * Install the lib into a multi-arch /usr/lib/ subdirectory using dh-exec.
  * Push standards-version to 4.1.1.
  * Bump d/watch to version 4.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 06 Nov 2017 10:26:08 +0100
