=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Homepage: https://github.com/fredrik-johansson/arb
-Build-Depends: debhelper (>= 10), libflint-dev, libgmp-dev, libmpfr-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dh-exec, libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/flint-arb.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/flint-arb.git
 
-Package: libflint-arb1
+Package: libflint-arb2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C library for arbitrary-precision ball arithmetic, shared library
  FLINT-ARB is a C library for high-performance arbitrary-precision
@@ -25,7 +26,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libflint-arb1 (= ${binary:Version})
+Depends: ${misc:Depends}, libflint-arb2 (= ${binary:Version})
 Description: C library for arbitrary-precision ball arithmetic, dev. files
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
