## flint-arb 2.14.0

=== debian/changelog ===
flint-arb (1:2.14.0-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 26 Sep 2018 20:25:16 +0200

flint-arb (1:2.14.0-3) experimental; urgency=medium

  * Add patch to fix testsuite on arm* architectures.
  * Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Sep 2018 21:28:48 +0200

flint-arb (1:2.14.0-2) experimental; urgency=medium

  * Add patch to fix testuite on most architectures.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Sep 2018 10:21:23 +0200

flint-arb (1:2.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Julien Puydt <jpuydt@debian.org>  Tue, 24 Jul 2018 19:13:55 +0200

flint-arb (1:2.12.0-3) unstable; urgency=medium

  * Team upload to unstable.
  * Introducing epoch after accidental upload of flint-arb 2.13
    which is incompatible with sagemath 8.2.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 17:07:30 +0200

flint-arb (2.13.0-1) unstable; urgency=medium

  * Team upload to unstable.
  * Remove fix-l_vec_hurwitz-test.patch.

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Bump std-ver to 4.1.4.
    - Use my debian.org mail address. 

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:04:28 +0200

flint-arb (2.12.0-2) experimental; urgency=medium

  * Team upload.
  * Add patch from arb 2.13 to fix test l_vec_hurwitz. (Closes: #896578)

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 00:46:08 +0200

flint-arb (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Small packaging improvements:
    - Better description for -dev
    - Bump std-ver to 4.1.4.
    - Point Vcs-* to salsa.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 18 Apr 2018 07:53:14 +0200
