=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -14,6 +16,7 @@
 	./configure --prefix=/usr --disable-static --with-flint=/usr CFLAGS='$(CPPFLAGS) $(CFLAGS)'
 	sed -i Makefile -e "s/libarb/libflint-arb/g"
 	sed -i Makefile -e "s/-larb/-lflint-arb/g"
+	sed -i Makefile -e "s|LIBDIR=lib|LIBDIR=lib/$(DEB_HOST_MULTIARCH)|g"
 
 override_dh_auto_build:
 	dh_auto_build -- $(MAKE_OVERRIDE)
