## flint-arb 2.16.0

=== debian/changelog ===
flint-arb (1:2.16.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 15 Jan 2019 13:41:05 +0100

flint-arb (1:2.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Dec 2018 08:27:14 +0100

flint-arb (1:2.15.1-2) experimental; urgency=medium

  * Modify d/rules following H.Grohne to fix FTCBFS. (Closes: #914476)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 23 Nov 2018 22:25:17 +0100

flint-arb (1:2.15.1-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 30 Oct 2018 09:49:25 +0100

flint-arb (1:2.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop all upstreamed patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 04 Oct 2018 22:14:39 +0200
