=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Homepage: https://github.com/fredrik-johansson/arb
-Build-Depends: debhelper (>= 10), dh-exec, libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/flint-arb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/flint-arb.git
+Build-Depends: debhelper (>= 11), libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/flint-arb
+Vcs-Git: https://salsa.debian.org/science-team/flint-arb.git
 
 Package: libflint-arb2
 Section: libs
@@ -27,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libflint-arb2 (= ${binary:Version})
-Description: C library for arbitrary-precision ball arithmetic, dev. files
+Description: C library for arbitrary-precision ball arithmetic, development files
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
  numbers, polynomials, matrices, and evaluation of special functions, all
