=== debian/changelog ===
flint-arb (1:2.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/compat and swith to debhelper-compat 12.
  * Bump std-vers to 4.4.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Oct 2019 22:07:04 +0200
