=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Homepage: https://github.com/fredrik-johansson/arb
-Build-Depends: debhelper (>= 11), libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/flint-arb
 Vcs-Git: https://salsa.debian.org/science-team/flint-arb.git
