## flint-arb 2.18.1

=== debian/changelog ===
flint-arb (1:2.18.1-2) unstable; urgency=medium

  * Fix duplicate entries in d/copyright.
  * Declare d/rules doesn't require root.
  * Bump dh compat to 13.
  * Ship the api documentation in html (Closes: 968872)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 25 Aug 2020 18:42:48 +0200

flint-arb (1:2.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jul 2020 11:17:26 +0200

flint-arb (1:2.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Change the debian-science-maintainers' address.
  * Bump std-vers to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 17 Jun 2020 10:37:15 +0200
