=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: flint-arb
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Homepage: https://github.com/fredrik-johansson/arb
-Build-Depends: debhelper-compat (= 12), libflint-dev (>= 2.5.2-17), libgmp-dev, libmpfr-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+               libflint-dev (>= 2.5.2-17),
+               libgmp-dev,
+               libjs-jquery,
+               libjs-underscore,
+               libmpfr-dev,
+               sphinx
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/flint-arb
 Vcs-Git: https://salsa.debian.org/science-team/flint-arb.git
 
@@ -13,7 +20,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C library for arbitrary-precision ball arithmetic, shared library
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
@@ -26,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libflint-arb2 (= ${binary:Version})
+Depends: libflint-arb2 (= ${binary:Version}), ${misc:Depends}
 Description: C library for arbitrary-precision ball arithmetic, development files
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
