=== debian/changelog ===
flint-arb (1:2.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.
  * Make -dev depend on libflint-dev. (Closes: #974598)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 08 Dec 2020 09:04:36 +0100

flint-arb (1:2.18.1-3) unstable; urgency=medium

  * Change license to LGPL-2.1+ following upstream,
   and update d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 25 Oct 2020 10:31:16 +0100
