=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libjs-underscore,
                libmpfr-dev,
                sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/flint-arb
 Vcs-Git: https://salsa.debian.org/science-team/flint-arb.git
@@ -33,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflint-arb2 (= ${binary:Version}), ${misc:Depends}
+Depends: libflint-arb2 (= ${binary:Version}), libflint-dev, ${misc:Depends}
 Description: C library for arbitrary-precision ball arithmetic, development files
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
