=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 include /usr/share/dpkg/buildtools.mk
-CONFIGURE_FLAGS = --build=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS) CC=$(CC) CXX=$(CXX) AR=$(AR)
+CONFIGURE_FLAGS = --=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS) CC=$(CC) CXX=$(CXX) AR=$(AR)
 endif
 
 %:
@@ -25,6 +25,10 @@
 
 override_dh_auto_build:
 	dh_auto_build -- $(MAKE_OVERRIDE)
+	make -C doc/ html
+	find doc/ -type f -name "*.html" | \
+		xargs sed -i -e "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|file:///usr/share/javascript/mathjax/MathJax.js|g"
+	rm doc/build/html/_static/doctools.js doc/build/html/_static/jquery.js doc/build/html/_static/language_data.js doc/build/html/_static/searchtools.js doc/build/html/_static/underscore.js
 
 override_dh_auto_test:
 	dh_auto_test -- $(MAKE_OVERRIDE)
