## flint-arb 2.22.1

=== debian/changelog ===
flint-arb (1:2.22.1-1) unstable; urgency=medium

  * New upstream release (dropping upstreamed patch).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 31 Jan 2022 09:20:50 +0100

flint-arb (1:2.22.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on many architectures.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 21 Jan 2022 09:43:58 +0100

flint-arb (1:2.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix upstream metadata file

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 16:11:04 +0100

flint-arb (1:2.21.1-2) unstable; urgency=medium

  * Move the package to the Math Team.
  * Make -dev suggest -doc (thanks John Scott).
  * Add upstream/metadata.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Dec 2021 18:59:39 +0100

flint-arb (1:2.21.1-1) unstable; urgency=medium

  * New upstream release (closes: #995185).
  * Refresh patch.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Oct 2021 09:16:44 +0200

flint-arb (1:2.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 27 Sep 2021 08:25:49 +0200

flint-arb (1:2.20.0-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.
  * New upstream release.
  * Rework doc installation (Closes: #990664).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 13:10:05 +0200
