=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: flint-arb
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Homepage: https://github.com/fredrik-johansson/arb
 Build-Depends: debhelper-compat (= 13),
@@ -11,10 +11,10 @@
                libjs-underscore,
                libmpfr-dev,
                sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/science-team/flint-arb
-Vcs-Git: https://salsa.debian.org/science-team/flint-arb.git
+Vcs-Browser: https://salsa.debian.org/math-team/flint-arb
+Vcs-Git: https://salsa.debian.org/math-team/flint-arb.git
 
 Package: libflint-arb2
 Section: libs
@@ -34,6 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libflint-arb2 (= ${binary:Version}), libflint-dev, ${misc:Depends}
+Suggests: libflint-arb-doc
 Description: C library for arbitrary-precision ball arithmetic, development files
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
@@ -46,7 +47,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: C library for arbitrary-precision ball arithmetic, documentation
  FLINT-ARB is a C library for high-performance arbitrary-precision
  floating-point ball (mid-rad interval) arithmetic. It supports complex
