## flint-arb 2.23.0

=== debian/changelog ===
flint-arb (1:2.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Adapt patches to new release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Jul 2022 15:17:03 +0200

flint-arb (1:2.22.1-3) unstable; urgency=medium

  * Add patch to be compatible with the future flint 2.9.0.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 May 2022 11:56:44 +0200

flint-arb (1:2.22.1-2) unstable; urgency=medium

  * Add patch fixing a mips64el issue (Closes: #1007980).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Apr 2022 20:15:17 +0200
