=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Homepage: https://github.com/fredrik-johansson/arb
 Build-Depends: debhelper-compat (= 13),
-               libflint-dev (>= 2.5.2-17),
+               libflint-dev (>= 2.9.0),
                libgmp-dev,
                libjs-jquery,
                libjs-underscore,
                libmpfr-dev,
                sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/math-team/flint-arb
 Vcs-Git: https://salsa.debian.org/math-team/flint-arb.git
