=== debian/watch ===
version=4
https://github.com/fredrik-johansson/arb/tags .*/(\d[-\d.]*)\.tar\.gz
